Ads · Ad Campaigns

List ad-group assets

Returns ad-group assets. Works with Google Ads.

GEThttps://api.pozy.ai/v1/ads/ad-sets/{adSetId}/assets
Google WorkspacelistAdGroupAssets

Guide: Google Ads

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the ads resource group disabled get 403 resource_group_disabled. Authentication

Path parameters

NameTypeNotes
adSetIdrequiredstringMatches ^\d+$

Query parameters

NameTypeNotes
accountIdrequiredstringMatches ^[a-fA-F0-9]{24}$
adAccountIdstringMatches ^\d+$
customerIdstringMatches ^\d+$

Example

curl -X GET "https://api.pozy.ai/v1/ads/ad-sets/60484b408d44e7c2492bfec5/assets?accountId=696e0b682d0a31188e7a2ba9" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • adGroupIdstring
  • sitelinksarray of object
    • assetResourceNamestring
    • adGroupAssetResourceNamestring
    • textstring
    • linkUrlstring (URL)
    • description1string
    • description2string
  • calloutsarray of object
    • assetResourceNamestring
    • adGroupAssetResourceNamestring
    • calloutTextstring
  • structuredSnippetsarray of object
    • assetResourceNamestring
    • adGroupAssetResourceNamestring
    • headerstring
    • valuesarray of string
  • imagesarray of object
    • assetResourceNamestring
    • adGroupAssetResourceNamestring
    • imageUrlstring (URL)
    • widthinteger
    • heightinteger
  • cachedAtstring (date-time)

    Can be null.

  • staleboolean
200 response
{
  "adGroupId": "6ad180be375f36f2c328e52b",
  "sitelinks": [
    {
      "assetResourceName": "Acme",
      "adGroupAssetResourceName": "Acme",
      "text": "Hello from Pozy",
      "linkUrl": "https://pozy.ai/media/example-1.jpg",
      "description1": "string",
      "description2": "string"
    }
  ],
  "callouts": [
    {
      "assetResourceName": "Acme",
      "adGroupAssetResourceName": "Acme",
      "calloutText": "Hello from Pozy"
    }
  ],
  "structuredSnippets": [
    {
      "assetResourceName": "Acme",
      "adGroupAssetResourceName": "Acme",
      "header": "string",
      "values": [
        "string"
      ]
    }
  ],
  "images": [
    {
      "assetResourceName": "Acme",
      "adGroupAssetResourceName": "Acme",
      "imageUrl": "https://pozy.ai/media/example-1.jpg",
      "width": 1,
      "height": 1
    }
  ],
  "cachedAt": "2026-10-02T09:00:00.000Z",
  "stale": true
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
404not_foundNothing with that id exists in your workspace.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Ad Campaigns

GETList adsGETList Google Ads recommendationsPOSTApply Google Ads recommendationsPOSTDismiss Google Ads recommendationsGETList portfolio bid strategiesPOSTCreate portfolio bid strategyPATCHUpdate portfolio bid strategyGETList shared budgetsPOSTCreate a shared budgetGETList Search keywordsPOSTAdd Search ad-group keywordsPATCHPause or enable a Search keywordDELRemove a Search keywordGETList campaignsPOSTCreate a standalone campaignPUTPause or resume a campaignGETRead a campaign's ad schedule (dayparting)PUTReplace a campaign's ad schedule (dayparting)GETRead a campaign's current biddingGETGet live campaign detailsPUTUpdate a campaignDELDelete a campaignGETList campaign-level negative keywordsPUTReplace campaign-level negative keywordsPOSTPause or resume many campaignsPOSTDuplicate a campaignGETRead a Google campaign's device, location, excluded location, and language targetingPUTEdit a Google campaign's device, location, excluded location, or language targetingGETList ad setsPOSTCreate a standalone ad groupPOSTDuplicate an ad setPOSTDuplicate an adGETGet live ad-set detailsPUTUpdate an ad setDELDelete an ad setGETRead a Reddit ad group's targeting and schedulePUTPause or resume a single ad setGETGet campaign treeGETGet daily account metricsGETGet ad detailsPUTUpdate adDELCancel an adPUTPause or resume a single adGETList campaign assetsPOSTAttach campaign assetsPUTUpdate campaign assetsDELRemove campaign assetsPOSTAttach ad-group assetsPUTUpdate ad-group assetsDELRemove ad-group assetsGETRead the platform's review verdict for an adGETReview status of each creative in a TikTok Smart+ adGETList ads that need attentionPOSTDismiss an ads alertGETReview status of every TikTok Smart+ ad of an advertiserGETList campaign negative listsPUTReplace campaign negative listsPOSTBoost post as adGETList Performance Max asset groupsPOSTCreate a Performance Max asset groupGETGet a Performance Max asset groupPATCHUpdate a Performance Max asset groupDELRemove a Performance Max asset groupPOSTLink or unlink asset group assetsPUTReplace an asset group's listing-group treePOSTCreate standalone adGETGet campaign conversion goalsPATCHUpdate campaign conversion goals